import request from '@/config/axios'

// 查询列表
export const getPage = async (data) => {
  return await request.post({ url: '/admin-api/oa/dingtalk/attendance/periodPage', data })
}

// 同步假勤数据
export const syncFalseDiligence = async (params) => {
  return await request.get({ url: '/admin-api/oa/dingtalk/attendance/sync', params })
}

// 修改考勤数据
export const updateFalseDiligence = async (data) => {
  return await request.put({ url: '/admin-api/oa/dingtalk/attendance/batchUpdate', data })
}

// 封存考勤数据
export const saveFalseDiligence = async (params) => {
  return await request.get({ url: '/admin-api/oa/dingtalk/attendance/confirm', params })
}
